gRPC C#
gRPC C#
Namespaces
Grpc.Core
Server.ServiceDefinitionCollection Class
ServiceDefinitionCollection Methods

Server ServiceDefinitionCollection Class

Collection of service definitions.
Inheritance Hierarchy
System
Object
Grpc.Core
Server
ServiceDefinitionCollection

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public class ServiceDefinitionCollection : IEnumerable<ServerServiceDefinition>,
    	IEnumerable

    Public Class ServiceDefinitionCollection
    	Implements IEnumerable(Of ServerServiceDefinition), IEnumerable

    public ref class ServiceDefinitionCollection : IEnumerable<ServerServiceDefinition^>,
    	IEnumerable

    type ServiceDefinitionCollection =
        class
            interface IEnumerable<ServerServiceDefinition>
            interface IEnumerable
        end

The Server
ServiceDefinitionCollection type exposes the following members.

Methods

| Name | Description
--- | --- | ---
| Add | Adds a service definition to the server. This is how you register handlers for a service with the server. Only call this before Start().
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetEnumerator | Gets enumerator for this collection.
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
See Also

#### Reference

Grpc.Core Namespace